# Scripts
!/scripts/install-oneapi.bat
+# Generated by scripts
+/hellaswag_val_full.txt
+/winogrande-debiased-eval.csv
+/wikitext-2-raw/
+
# Test models for lora adapters
/lora-tests
-#!/usr/bin/env bash
+#!/bin/sh
+# vim: set ts=4 sw=4 et:
-wget https://raw.githubusercontent.com/klosax/hellaswag_text_data/main/hellaswag_val_full.txt
+FILE="hellaswag_val_full.txt"
+URL="https://raw.githubusercontent.com/klosax/hellaswag_text_data/main/$FILE"
-echo "Usage:"
-echo ""
-echo " ./llama-perplexity -m model.gguf -f hellaswag_val_full.txt --hellaswag [--hellaswag-tasks N] [other params]"
-echo ""
+die() {
+ printf "%s\n" "$@" >&2
+ exit 1
+}
-exit 0
+have_cmd() {
+ for cmd; do
+ command -v "$cmd" >/dev/null || return
+ done
+}
+
+dl() {
+ [ -f "$2" ] && return
+ if have_cmd wget; then
+ wget "$1" -O "$2"
+ elif have_cmd curl; then
+ curl -L "$1" -o "$2"
+ else
+ die "Please install wget or curl"
+ fi
+}
+
+if [ ! -f "$FILE" ]; then
+ dl "$URL" "$FILE" || exit
+fi
+
+cat <<EOF
+Usage:
+
+ llama-perplexity -m model.gguf -f $FILE --hellaswag [--hellaswag-tasks N] [other params]
+
+EOF
-#!/usr/bin/env bash
+#!/bin/sh
+# vim: set ts=4 sw=4 et:
-wget https://huggingface.co/datasets/ikawrakow/winogrande-eval-for-llama.cpp/raw/main/winogrande-debiased-eval.csv
+FILE="winogrande-debiased-eval.csv"
+URL="https://huggingface.co/datasets/ikawrakow/winogrande-eval-for-llama.cpp/raw/main/$FILE"
-echo "Usage:"
-echo ""
-echo " ./llama-perplexity -m model.gguf -f winogrande-debiased-eval.csv --winogrande [--winogrande-tasks N] [other params]"
-echo ""
+die() {
+ printf "%s\n" "$@" >&2
+ exit 1
+}
-exit 0
+have_cmd() {
+ for cmd; do
+ command -v "$cmd" >/dev/null || return
+ done
+}
+
+dl() {
+ [ -f "$2" ] && return
+ if have_cmd wget; then
+ wget "$1" -O "$2"
+ elif have_cmd curl; then
+ curl -L "$1" -o "$2"
+ else
+ die "Please install wget or curl"
+ fi
+}
+
+if [ ! -f "$FILE" ]; then
+ dl "$URL" "$FILE" || exit
+fi
+
+cat <<EOF
+Usage:
+
+ llama-perplexity -m model.gguf -f $FILE --winogrande [--winogrande-tasks N] [other params]
+
+EOF